| Home · All Classes · All Namespaces · Modules · Functions · Files

# StatefulDBusProxy Class Reference

`#include <TelepathyQt4/DBusProxy>`

Inherits Tp::DBusProxy.

Inherited by Channel, ChannelDispatchOperation, ChannelRequest, and Connection.

List of all members.

## Public Member Functions

- StatefulDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, QObject *parent=0)
- virtual ~StatefulDBusProxy ()

## Detailed Description

: ?

Base class representing a remote object whose API is stateful. These objects do not remain useful if the service providing them exits or crashes, so they emit invalidated() if this happens.

Examples include the Connection and Channel.

## Constructor & Destructor Documentation

StatefulDBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

~StatefulDBusProxy | ( |  | ) | `[virtual]`